MONGOC_DATABASE_DROP_WITH_OPTS(3)

NAME
mongoc_database_drop_with_opts - mongoc_database_drop_with_opts()

SYNOPSIS

        bool
        mongoc_database_drop_with_opts (mongoc_database_t *database,
                                        const bson_t *opts,
                                        bson_error_t *error);

PARAMETERS

    •   database: A mongoc_database_t.

    •   opts: A bson_t or NULL.

    •   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function attempts to drop a database on the MongoDB server.

If no write concern is provided in opts, the database's write concern is used.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc